Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.xmi
Class XMIOutputConfig

    java.lang.Object
      org.netbeans.api.xmi.XMIOutputConfig

    public abstract class XMIOutputConfig

extends Object

Configuration class for objects producing XMI as output (e.g. `XMIWriter`).

Constructor Summary
`XMIOutputConfig()`

Method Summary
`abstract String` | `getEncoding()` Returns an encoding to be used by writer/producer to generate XMI documents.
`abstract XMIReferenceProvider` | `getReferenceProvider()` Returns a reference provider to be used by writer/producer to generate XMI IDs and determine target document for a given object.
`abstract void` | `setEncoding(String encoding)` Sets an encoding to be used by XMI writer/producer to generate XMI documents.
`abstract void` | `setReferenceProvider(XMIReferenceProvider provider)` Sets a reference provider to be used by XMI writer/producer to generate XMI IDs and determine target document for a given object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIOutputConfig

    public XMIOutputConfig()

Method Detail

### setReferenceProvider

    public abstract void setReferenceProvider(XMIReferenceProvider provider)

  Sets a reference provider to be used by XMI writer/producer to generate XMI IDs and determine target document for a given object. If `null` is passed, the default reference provider will be used. For immutable configurations this method throws `UnsupportedOperationException`.

  Parameters:
    `provider` - Reference provider to be used.

### getReferenceProvider

    public abstract XMIReferenceProvider getReferenceProvider()

  Returns a reference provider to be used by writer/producer to generate XMI IDs and determine target document for a given object. The method should never return `null` for a configuration associated with a writer/producer. Otherwise `null` means that the default reference provider will be used.

  Returns:
    Reference provider to be used or `null`.

### setEncoding

    public abstract void setEncoding(String encoding)

  Sets an encoding to be used by XMI writer/producer to generate XMI documents. If `null` is passed, the default encoding will be used. For immutable configurations this method throws `UnsupportedOperationException`.

  Parameters:
    `encoding` - to be used.

### getEncoding

    public abstract String getEncoding()

  Returns an encoding to be used by writer/producer to generate XMI documents. The method should never return `null` for a configuration associated with a writer/producer. Otherwise `null` means that the default encoding will be used.

  Returns:
    encoding to be used or `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.